Bug 81066 - Unable to mount SCSI drive as /home during upgrade
Unable to mount SCSI drive as /home during upgrade
Product: Red Hat Linux
Classification: Retired
Component: anaconda (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Jeremy Katz
Mike McLean
Depends On: 80020
Blocks: 79578
  Show dependency treegraph
Reported: 2003-01-03 18:11 EST by Ben Weintraub
Modified: 2008-01-17 12:49 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2003-05-25 10:59:46 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Ben Weintraub 2003-01-03 18:11:44 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.2.1) Gecko/20021218

Description of problem:
I have my root partition on an IDE disk, and my /home on a SCSI disk connected
to a SCSI card using the aci7xxx driver.  I also have a USB CompactFlash reader.
 Before anaconda is launched, in the text mode pre-install part, it says it is
loading the usb-storage module (presumably for my card reader) and then the
aic7xxx module.  I continue with the installation, selected the upgrade option,
and after clicking 'next' on the screen where I can choose the upgrade option,
the installer comes up with a message saying it is unable to mount /dev/sda2 (my
/home) as /home because no media was present.  
This was very strange because I know my /home is formatted and working fine, so
I tried switching to a virtual terminal and mounting it manually, where it still
failed with the same message about no media.  I believe this is because
usb-storage acts like a SCSI device, and because it is loaded first, it takes
/dev/sda, which should really be my SCSI disk, and the SCSI disk is at /dev/sdb.
 Indeed, I was able to mount /dev/sdb2 fine.
I was able to redo the installation by disconnecting my USB CompactFlash reader,
but the installer should not be getting confused about this.  

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1.  Get an older RH system (i.e. 8.0) with one of the partitions on a SCSI disk
(not sure it this problem is with all SCSI or only aic7xxx) and a USB-storage
device attached.
2.  Try to upgrade the system to Phoebe

Actual Results:  Installer unable to mount the partitions on the SCSI disk

Expected Results:  Seamless mounting of the partitions

Additional info:
Comment 1 Michael Fulbright 2003-01-08 15:40:40 EST
Known regression we will fix.
Comment 2 Jeremy Katz 2003-01-10 01:02:46 EST
Fixed in CVS
Comment 3 Brent Fox 2003-05-25 10:59:46 EDT
I'm going through Bugzilla closing some bugs that have been marked as Modified
for some period of time.  I believe that most of these issues have been fixed,
so I'm resolving these bugs as Rawhide.  If the bug you are seeing still exists,
please reopen this report and mark it as Reopened.

Note You need to log in before you can comment on or make changes to this bug.